module Lawless (
    module Applicative,
    module Base,
    module Bool,
    module Either,
    module Functor,
    module List,
    module Monad,
    module Control.Lens,
    module UNI,
    module Prelude.Unicode,
    module Data.Bool,
    module Data.Eq,
    module Data.Ord,
    module Data.Function,
    module Data.Maybe,
    module Data.Either,
    module Data.Semigroup,
    module Control.Applicative
    ) where

import Applicative
import Base hiding (print)
import Bool
import Either
import Functor
import List
import Monad
import Control.Lens hiding (strict)
import Data.Eq (Eq(..))
import Data.Ord (Ord(..))

import Data.Function
import Data.Maybe
import Data.Either (Either(..))
import Control.Applicative
import Data.Bool hiding (bool)
import Data.Semigroup

import Control.Applicative.Unicode as UNI
import Control.Arrow.Unicode as UNI
import Control.Monad.Unicode as UNI
import Data.Bool.Unicode as UNI
import Data.Eq.Unicode as UNI
import Data.Foldable.Unicode as UNI
import Data.Function.Unicode as UNI
import Data.Ord.Unicode as UNI
import Prelude.Unicode ((⋅))
